VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CommandMenuItemTargetAdapter Class Reference

`#include <icommandmenuitemtarget.h>`

Inheritance diagram for CommandMenuItemTargetAdapter:

## Public Member Functions
bool | validateCommandMenuItem (CCommandMenuItem *item) override
| called before the item is shown to validate its state
bool | onCommandMenuItemSelected (CCommandMenuItem *item) override
| called when the item was selected
Public Member Functions inherited from IReference
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0
virtual void | remember ()=0
| increase refcount

## Member Function Documentation

## ◆ onCommandMenuItemSelected()

bool onCommandMenuItemSelected | ( | CCommandMenuItem * | item | ) |
| inline override virtual

called when the item was selected

Implements ICommandMenuItemTarget.

Reimplemented in VST3Editor.

## ◆ validateCommandMenuItem()

bool validateCommandMenuItem | ( | CCommandMenuItem * | item | ) |
| inline override virtual

called before the item is shown to validate its state

Implements ICommandMenuItemTarget.

Reimplemented in VST3Editor.

The documentation for this class was generated from the following file:

- icommandmenuitemtarget.h